Retrieve a question
curl --request GET \
--url https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/{question_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/{question_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/{question_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "A1B2C3D4",
"posting_id": "13D77095",
"modality": "voice",
"text": "Tell me about a challenging project you led.",
"object": "question",
"rank": 1,
"evaluation_criteria": "<string>",
"score_of_1": "<string>",
"score_of_5": "<string>",
"score_weight": 123,
"not_scored": true,
"question_type": "<string>",
"min_follow_ups": 123,
"max_follow_ups": 123,
"additional_instructions": "<string>",
"post_processing_evaluation_criteria": "<string>",
"expected_answer": "<string>",
"expected_value": 123,
"is_dealbreaker": true,
"answer": "<unknown>",
"is_knockout": true,
"dropdown_values": [
{}
],
"is_answer_mandated": true,
"mcq_type": "<string>",
"operator": "<string>",
"file_types": [
"<string>"
],
"allow_multiple_files": true,
"slider_min": 123,
"slider_max": 123,
"slider_step": 123,
"response_format": "text",
"instructions": "<string>",
"options": [
"<string>"
],
"structured_config": {},
"created_at": 123,
"updated_at": 123
},
"meta": {}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Retrieve a question
Returns a single question or criterion by its ID.
GET
/
api
/
v2
/
postings
/
{posting_id}
/
questions
/
{question_id}
Retrieve a question
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Response
Successful Response
A question or criterion belonging to a posting.
The modality field indicates the question type (voice, sms, form,
resume_eligibility, resume_scoring, voice_tags). Fields that are not
applicable to a given modality will be null.
Show child attributes
Show child attributes
Optional metadata. Shape varies by endpoint.
Was this page helpful?
⌘I